qpid::framing::List Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Friends
qpid::framing::List Class Reference

Representation of an AMQP 0-10 list. More...

`#include <qpid/framing/List.h>`

List of all members.

## Public Types
typedef boost::shared_ptr < FieldValue > | ValuePtr
typedef ValuePtr | value_type
typedef std::list< ValuePtr > | Values
typedef Values::const_iterator | const_iterator
typedef Values::iterator | iterator
typedef Values::const_reference | const_reference
typedef Values::reference | reference
## Public Member Functions
uint32_t | encodedSize () const
void | encode (Buffer &buffer) const
void | decode (Buffer &buffer)
bool | operator== (const List &other) const
QPID_COMMON_INLINE_EXTERN const_iterator | begin () const
QPID_COMMON_INLINE_EXTERN const_iterator | end () const
QPID_COMMON_INLINE_EXTERN iterator | begin ()
QPID_COMMON_INLINE_EXTERN iterator | end ()
QPID_COMMON_INLINE_EXTERN ValuePtr | front () const
QPID_COMMON_INLINE_EXTERN ValuePtr | back () const
QPID_COMMON_INLINE_EXTERN size_t | size () const
QPID_COMMON_INLINE_EXTERN iterator | insert (iterator i, ValuePtr value)
QPID_COMMON_INLINE_EXTERN void | erase (iterator i)
QPID_COMMON_INLINE_EXTERN void | push_back (ValuePtr value)
QPID_COMMON_INLINE_EXTERN void | pop_back ()
## Friends
std::ostream & | operator<< (std::ostream &out, const List &list)

## Detailed Description

Representation of an AMQP 0-10 list.

## Member Typedef Documentation

typedef Values::const_iterator qpid::framing::List::const_iterator

Definition at line 45 of file List.h.

typedef Values::const_reference qpid::framing::List::const_reference

Definition at line 47 of file List.h.

typedef Values::iterator qpid::framing::List::iterator

Definition at line 46 of file List.h.

typedef Values::reference qpid::framing::List::reference

Definition at line 48 of file List.h.

typedef ValuePtr qpid::framing::List::value_type

Definition at line 43 of file List.h.

typedef boost::shared_ptr<FieldValue> qpid::framing::List::ValuePtr

Definition at line 42 of file List.h.

typedef std::list<ValuePtr> qpid::framing::List::Values

Definition at line 44 of file List.h.

## Member Function Documentation

QPID_COMMON_INLINE_EXTERN ValuePtr qpid::framing::List::back | ( |  | ) | const`[inline]`

Definition at line 63 of file List.h.

QPID_COMMON_INLINE_EXTERN const_iterator qpid::framing::List::begin | ( |  | ) | const`[inline]`

Definition at line 57 of file List.h.

QPID_COMMON_INLINE_EXTERN iterator qpid::framing::List::begin | ( |  | ) | `[inline]`

Definition at line 59 of file List.h.

void qpid::framing::List::decode | ( | Buffer & | buffer | ) |

void qpid::framing::List::encode | ( | Buffer & | buffer | ) | const

uint32_t qpid::framing::List::encodedSize | ( |  | ) | const

QPID_COMMON_INLINE_EXTERN const_iterator qpid::framing::List::end | ( |  | ) | const`[inline]`

Definition at line 58 of file List.h.

QPID_COMMON_INLINE_EXTERN iterator qpid::framing::List::end | ( |  | ) | `[inline]`

Definition at line 60 of file List.h.

QPID_COMMON_INLINE_EXTERN void qpid::framing::List::erase | ( | iterator | i | ) | `[inline]`

Definition at line 67 of file List.h.

QPID_COMMON_INLINE_EXTERN ValuePtr qpid::framing::List::front | ( |  | ) | const`[inline]`

Definition at line 62 of file List.h.

QPID_COMMON_INLINE_EXTERN iterator qpid::framing::List::insert | ( | iterator | i,
|  | ValuePtr | value
| ) |  | `[inline]`

Definition at line 66 of file List.h.

bool qpid::framing::List::operator== | ( | const List & | other | ) | const

QPID_COMMON_INLINE_EXTERN void qpid::framing::List::pop_back | ( |  | ) | `[inline]`

Definition at line 69 of file List.h.

QPID_COMMON_INLINE_EXTERN void qpid::framing::List::push_back | ( | ValuePtr | value | ) | `[inline]`

Definition at line 68 of file List.h.

QPID_COMMON_INLINE_EXTERN size_t qpid::framing::List::size | ( |  | ) | const`[inline]`

Definition at line 64 of file List.h.

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | out,
|  | const List & | list
| ) |  | `[friend]`

The documentation for this class was generated from the following file:

- qpid/framing/List.h